HDF: hdf/src/tbbt_priv.h File Reference

Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.4.0 API Reference |

Loading...
Searching...
No Matches
tbbt_priv.h File Reference
`#include "hdf_priv.h"`

## Data Structures
struct | TBBT_NODE
struct | TBBT_TREE

## Macros
#define | TBBT_FAST_UINT16_COMPARE 1
#define | TBBT_FAST_INT32_COMPARE 2

## Functions
TBBT_TREE * | tbbtdmake (int(*compar)(void *, void *, int), int arg, unsigned fast_compare)
TBBT_NODE * | tbbtdfind (TBBT_TREE *tree, void *key, TBBT_NODE **pp)
TBBT_NODE * | tbbtfind (TBBT_NODE *root, void *key, int(*cmp)(void *, void *, int), int arg, TBBT_NODE **pp)
TBBT_NODE * | tbbtdless (TBBT_TREE *tree, void *key, TBBT_NODE **pp)
TBBT_NODE * | tbbtless (TBBT_NODE *root, void *key, int(*cmp)(void *, void *, int), int arg, TBBT_NODE **pp)
TBBT_NODE * | tbbtindx (TBBT_NODE *root, int32 indx)
TBBT_NODE * | tbbtdins (TBBT_TREE *tree, void *item, void *key)
TBBT_NODE * | tbbtins (TBBT_NODE **root, void *item, void *key, int(*cmp)(void *, void *, int), int arg)
void * | tbbtrem (TBBT_NODE **root, TBBT_NODE *node, void **kp)
TBBT_NODE * | tbbtfirst (TBBT_NODE *root)
TBBT_NODE * | tbbtlast (TBBT_NODE *root)
TBBT_NODE * | tbbtnext (TBBT_NODE *node)
TBBT_NODE * | tbbtprev (TBBT_NODE *node)
TBBT_TREE * | tbbtdfree (TBBT_TREE *tree, void(*fd)(void *), void(*fk)(void *))
void | tbbtfree (TBBT_NODE **root, void(*fd)(void *), void(*fk)(void *))
void | tbbtprint (TBBT_NODE *node)
void | tbbtdump (TBBT_TREE *tree, int method)
long | tbbtcount (TBBT_TREE *tree)
int | tbbt_shutdown (void)

## Macro Definition Documentation

## ◆ TBBT_FAST_INT32_COMPARE

#define TBBT_FAST_INT32_COMPARE 2

## ◆ TBBT_FAST_UINT16_COMPARE

#define TBBT_FAST_UINT16_COMPARE 1

## Function Documentation

## ◆ tbbt_shutdown()

int tbbt_shutdown | ( | void |  | ) |

## ◆ tbbtcount()

long tbbtcount | ( | TBBT_TREE * | tree | ) |
| extern

## ◆ tbbtdfind()

TBBT_NODE * tbbtdfind | ( | TBBT_TREE * | tree,
|  | void * | key,
|  | TBBT_NODE ** | pp )
| extern

## ◆ tbbtdfree()

TBBT_TREE * tbbtdfree | ( | TBBT_TREE * | tree,
|  | void(* | fd )(void *),
|  | void(* | fk )(void *) )
| extern

## ◆ tbbtdins()

TBBT_NODE * tbbtdins | ( | TBBT_TREE * | tree,
|  | void * | item,
|  | void * | key )
| extern

## ◆ tbbtdless()

TBBT_NODE * tbbtdless | ( | TBBT_TREE * | tree,
|  | void * | key,
|  | TBBT_NODE ** | pp )
| extern

## ◆ tbbtdmake()

TBBT_TREE * tbbtdmake | ( | int(* | compar )(void *, void *, int),
|  | int | arg,
|  | unsigned | fast_compare )
| extern

## ◆ tbbtdump()

void tbbtdump | ( | TBBT_TREE * | tree,
|  | int | method )
| extern

## ◆ tbbtfind()

TBBT_NODE * tbbtfind | ( | TBBT_NODE * | root,
|  | void * | key,
|  | int(* | cmp )(void *, void *, int),
|  | int | arg,
|  | TBBT_NODE ** | pp )
| extern

## ◆ tbbtfirst()

TBBT_NODE * tbbtfirst | ( | TBBT_NODE * | root | ) |
| extern

## ◆ tbbtfree()

void tbbtfree | ( | TBBT_NODE ** | root,
|  | void(* | fd )(void *),
|  | void(* | fk )(void *) )
| extern

## ◆ tbbtindx()

TBBT_NODE * tbbtindx | ( | TBBT_NODE * | root,
|  | int32 | indx )
| extern

## ◆ tbbtins()

TBBT_NODE * tbbtins | ( | TBBT_NODE ** | root,
|  | void * | item,
|  | void * | key,
|  | int(* | cmp )(void *, void *, int),
|  | int | arg )
| extern

## ◆ tbbtlast()

TBBT_NODE * tbbtlast | ( | TBBT_NODE * | root | ) |
| extern

## ◆ tbbtless()

TBBT_NODE * tbbtless | ( | TBBT_NODE * | root,
|  | void * | key,
|  | int(* | cmp )(void *, void *, int),
|  | int | arg,
|  | TBBT_NODE ** | pp )
| extern

## ◆ tbbtnext()

TBBT_NODE * tbbtnext | ( | TBBT_NODE * | node | ) |
| extern

## ◆ tbbtprev()

TBBT_NODE * tbbtprev | ( | TBBT_NODE * | node | ) |
| extern

## ◆ tbbtprint()

void tbbtprint | ( | TBBT_NODE * | node | ) |
| extern

## ◆ tbbtrem()

void * tbbtrem | ( | TBBT_NODE ** | root,
|  | TBBT_NODE * | node,
|  | void ** | kp )
| extern